Commit 6dd06f5c authored by nobody's avatar nobody

This commit was manufactured by cvs2svn to create tag

'glibc_2_3_1-2'.

svn path=/tags/glibc_2_3_1-2/; revision=99
parent 2c775c2a
glibc-*
patched
patched-source
unpacked-source
This directory contains the files needed to build glibc for the Debian
GNU/Linux and GNU/Hurd distributions.
To build this package, you'll need this `debian' directory, and
`glibc-VERSION.tar.gz', and `glibc-linuxthreads-LTVERSION.tar.gz' (the
VERSIONS need not match). Put them all in a directory called
`glibc-VERSION', and make sure that the `debian/rules', `debian/changelog',
and `debian/sysdeps/config.mk' refer correctly to VERSION. Then, you can
run dpkg-buildpackage, which will automatically unpack the tarballs, and
start the build.
If you have pulled this version from CVS, you will probably need to go
and get the tar.bz2 files that match the file 'version'. You can
generally find these at sources.redhat.com in pub/libc. Put both the
regular glibc tar.bz2 *AND* the matching linuxthreads tar.bz2. After
that follow the usual build procedures.
Compiling the GNU C library yourself requires a lot of resources. For
a complete build using dpkg-buildpackage you need at least 200MB free
a complete build using dpkg-buildpackage you need at least 750MB free
disk space and at least 16MB of RAM and 32MB of swap space (if you
have only that much you're better off not running X at the same
time). Note that the C library on the Hurd is also somewhat larger:
you'll need over 800MB of free disk space to build Hurdish packages.
A complete build runs for about 6 hours on a 486-133 and still just
about 3 hours on a Pentium 133. The cause for this is the intricate
A complete build takes 45 minutes on a Pentium III 735Mhz machine, and
25 minutes to run the test suite. The cause for this is the intricate
Makefile structure of glibc which needs a lot of computing power for
make to figure out the automatically generated dependencies.
make to figure out the automatically generated dependencies. If you
are building all of the optimized libraries for the IA32 family, allow
2.5 hours for this build.
For Linux, you will need at least the kernel-headers for the specific
For Linux, you will need at least the kernel headers for the specific
kernel version required for your machine's architecture. These are
specified in the `debian/sysdeps/linux.mk' file, and can be overridden
by exporting the environment variable LINUX_SOURCE set to the path to
......@@ -32,5 +32,6 @@ header files (which come with the `gnumach-dev' and `hurd-dev'
packages). See the Hurd source package's `INSTALL' file for more
information.
It is suggested that you also read the `README' and `INSTALL' files in
the top-level of the glibc source tree.
Please consider reading the `FAQ' file in this directory. It is also
suggested that you also read the `README' and `INSTALL' files in the
top-level of the glibc source tree.
This diff is collapsed.
Source: glibc
Section: libs
Priority: required
Build-Depends: gettext (>= 0.10.37-1), make (>= 3.78-4), dpkg-dev (>= 1.4.1.5), debianutils (>= 1.13.1), tar (>= 1.13.11), bzip2, texinfo (>= 4.0), kernel-headers-2.4 [!hurd-i386], mig [hurd-i386], hurd-dev [hurd-i386], gnumach-dev [hurd-i386], texi2html, file, gcc-3.1 [sparc], autoconf
Build-Depends: gettext (>= 0.10.37-1), make (>= 3.78-4), dpkg-dev (>= 1.4.1.5), debianutils (>= 1.13.1), tar (>= 1.13.11), bzip2, texinfo (>= 4.0), kernel-headers-2.4 [!hurd-i386], mig (>= 1.3-2) [hurd-i386], hurd-dev (>= 20020608-1) [hurd-i386], gnumach-dev [hurd-i386], texi2html, file, gcc-3.2, autoconf, binutils (>= 2.13.90.0.10-1)
Build-Depends-Indep: perl, latex2html
Build-Conflicts: gcc-2.95 (<< 1:2.95.3-8) [!i386], gcc-2.95 (<< 1:2.95.3-9) [i386]
Build-Conflicts: kernel-headers-2.4.19-sparc [!sparc], kernel-headers-2.4.18-sparc [!sparc]
Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Uploaders: Ben Collins <bcollins@debian.org>, GOTO Masanori <gotom@debian.org>, Philip Blundell <pb@nexus.co.uk>, Jeff Bailey <jbailey@nisa.net>
Uploaders: Ben Collins <bcollins@debian.org>, GOTO Masanori <gotom@debian.or.jp>, Philip Blundell <pb@nexus.co.uk>, Jeff Bailey <jbailey@nisa.net>
Standards-Version: 3.1.1
Package: glibc-doc
......@@ -38,7 +38,7 @@ Description: GNU C Library: National Language (locale) data [support]
by default. This created a package that unpacked to an excess of 30 megs.
Package: nscd
Architecture: alpha arm i386 m68k mips mipsel powerpc sparc ia64 hppa s390 sh3 sh4 sh3eb sh4eb
Architecture: alpha arm i386 m68k mips mipsel powerpc sparc ia64 hppa s390 sh3 sh4 sh3eb sh4eb freebsd-i386
Section: admin
Priority: optional
Depends: libc6 (>= ${Source-Version})
......@@ -220,12 +220,68 @@ Description: GNU C Library: PIC archive library
boot floppies. If you are not making your own set of Debian boot floppies
using the `boot-floppies' package, you probably don't need this package.
Package: libc1
Architecture: freebsd-i386
Section: base
Priority: required
Description: GNU C Library: Shared libraries and Timezone data
Contains the standard libraries that are used by nearly all programs on
the system. This package includes shared versions of the standard C library
and the standard math library, as well as many others.
Timezone data is also included.
Package: libc1-dev
Architecture: freebsd-i386
Section: devel
Priority: standard
Depends: libc1 (= ${Source-Version})
Recommends: c-compiler
Suggests: glibc-doc
Description: GNU C Library: Development Libraries and Header Files.
Contains the symlinks, headers, and object files needed to compile
and link programs which use the standard C library.
Package: libc1-dbg
Architecture: freebsd-i386
Section: devel
Priority: extra
Depends: libc1 (= ${Source-Version})
Description: GNU C Library: Libraries with debugging symbols
Contains unstripped shared libraries.
This package is provided primarily to provide a backtrace with
names in a debugger, this makes it somewhat easier to interpret core
dumps. The libraries are installed in /usr/lib/debug and can be
used by placing that directory in LD_LIBRARY_PATH.
Most people will not need this package.
Package: libc1-prof
Architecture: freebsd-i386
Section: devel
Priority: extra
Depends: libc1 (= ${Source-Version})
Description: GNU C Library: Profiling Libraries.
Static libraries compiled with profiling info (-pg) suitable for use
with gprof.
Package: libc1-pic
Architecture: freebsd-i386
Section: devel
Priority: optional
Conflicts: libc-pic
Provides: libc-pic, glibc-pic
Depends: libc1 (= ${Source-Version})
Description: GNU C Library: PIC archive library
Contains an archive library (ar file) composed of individual shared objects.
This is used for creating a library which is a smaller subset of the
standard libc shared library. The reduced library is used on the Debian
boot floppies. If you are not making your own set of Debian boot floppies
using the `boot-floppies' package, you probably don't need this package.
Package: libc6-sparc64
Architecture: sparc
Section: base
Priority: required
Depends: libc6 (= ${Source-Version})
Conflicts: gcc-3.0 (<= 3.0.4-10)
Description: GNU C Library: 64bit Shared libraries for UltraSPARC
This package includes shared versions of the standard C library and the
standard math library, as well as many others. This is the 64bit version
......@@ -235,7 +291,7 @@ Package: libc6-dev-sparc64
Architecture: sparc
Section: devel
Priority: standard
Depends: libc6-sparc64 (= ${Source-Version}), libc6-dev (= ${Source-Version}), gcc-3.0 (>> 3.0.4-10)
Depends: libc6-sparc64 (= ${Source-Version}), libc6-dev (= ${Source-Version}), gcc-3.2 (>= 3.2.1-0pre1)
Description: GNU C Library: 64bit Development Libraries for UltraSPARC
Contains the symlinks and object files needed to compile and link programs
which use the standard C library. This is the 64bit version of the
......
Package: libc-udeb
Architecture: any
Section: debian-installer
Priority: required
Description: GNU C Library: Shared libraries and Timezone data - udeb
Contains the standard libraries that are used by nearly all programs on
the system. This package includes shared versions of the standard C library
and the standard math library, as well as many others.
Timezone data is also included.
.
This package contains a minimal set of libraries needed for the debian
installer. Do not install it on a normal system.
Source: @glibc@
Section: libs
Priority: required
Build-Depends: gettext (>= 0.10.37-1), make (>= 3.78-4), dpkg-dev (>= 1.4.1.5), debianutils (>= 1.13.1), tar (>= 1.13.11), bzip2, texinfo (>= 4.0), kernel-headers-2.4 [!hurd-i386], mig [hurd-i386], hurd-dev [hurd-i386], gnumach-dev [hurd-i386], texi2html, file, gcc-3.1 [sparc], autoconf
Build-Depends: gettext (>= 0.10.37-1), make (>= 3.78-4), dpkg-dev (>= 1.4.1.5), debianutils (>= 1.13.1), tar (>= 1.13.11), bzip2, texinfo (>= 4.0), kernel-headers-2.4 [!hurd-i386], mig (>= 1.3-2) [hurd-i386], hurd-dev (>= 20020608-1) [hurd-i386], gnumach-dev [hurd-i386], texi2html, file, gcc-3.2, autoconf, binutils (>= 2.13.90.0.10-1) [!s390], binutils (>= 2.13.90.0.4-1) [s390]
Build-Depends-Indep: perl, latex2html
Build-Conflicts: gcc-2.95 (<< 1:2.95.3-8) [!i386], gcc-2.95 (<< 1:2.95.3-9) [i386]
Build-Conflicts: kernel-headers-2.4.19-sparc [!sparc], kernel-headers-2.4.18-sparc [!sparc]
Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Uploaders: Ben Collins <bcollins@debian.org>, GOTO Masanori <gotom@debian.org>, Philip Blundell <pb@nexus.co.uk>, Jeff Bailey <jbailey@nisa.net>
Uploaders: Ben Collins <bcollins@debian.org>, GOTO Masanori <gotom@debian.or.jp>, Philip Blundell <pb@nexus.co.uk>, Jeff Bailey <jbailey@nisa.net>
Standards-Version: 3.1.1
Package: @glibc@-doc
......
......@@ -3,7 +3,6 @@ Architecture: sparc
Section: base
Priority: required
Depends: libc6 (= ${Source-Version})
Conflicts: gcc-3.0 (<= 3.0.4-10)
Description: GNU C Library: 64bit Shared libraries for UltraSPARC
This package includes shared versions of the standard C library and the
standard math library, as well as many others. This is the 64bit version
......@@ -13,7 +12,7 @@ Package: libc6-dev-sparc64
Architecture: sparc
Section: devel
Priority: standard
Depends: libc6-sparc64 (= ${Source-Version}), libc6-dev (= ${Source-Version}), gcc-3.0 (>> 3.0.4-10)
Depends: libc6-sparc64 (= ${Source-Version}), libc6-dev (= ${Source-Version}), gcc-3.2 (>= 3.2.1-0pre1)
Description: GNU C Library: 64bit Development Libraries for UltraSPARC
Contains the symlinks and object files needed to compile and link programs
which use the standard C library. This is the 64bit version of the
......
This is the Debian prepackaged version of the GNU C Library version
2.2.x
It was put together by Ben Collins <bcollins@debian.org>
It was put together by the GNU Libc Maintainers <debian-glibc@lists.debian.org>
from the following sources:
<ftp://sourceware.cygnus.com/pub/glibc/releases/glibc-2.2.x.tar.bz2>
<ftp://sourceware.cygnus.com/pub/glibc/releases/glibc-linuxthreads-2.2.x.tar.gz>
<ftp://sources.redhat.com/pub/glibc/releases/glibc-2.2.x.tar.bz2>
<ftp://sources.redhat.com/pub/glibc/releases/glibc-linuxthreads-2.2.x.tar.gz>
Copyright (C) 1991,92,93,94,95,96,97,98,99,2000,2001 Free Software Foundation, Inc.
Copyright (C) 1991,92,93,94,95,96,97,98,99,2000,2001,2002 Free Software Foundation, Inc.
The GNU C Library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
......
......@@ -10,15 +10,4 @@ if [ "$1" = configure ]; then
install-docs -i /usr/share/doc-base/glibc-manual >/dev/null 2>&1
echo "done."
fi
if [ -d /usr/doc ]; then
package=$(basename $0 .postinst)
if [ ! -e /usr/doc/$package ]; then
(cd /usr/doc;
if [ -d ../share/doc/$package ]; then
ln -s ../share/doc/$package $package ;
fi
)
fi
fi
fi
......@@ -9,10 +9,4 @@ if [ "$1" = remove ]; then
if command -v install-docs >/dev/null 2>&1; then
install-docs -r glibc-manual >/dev/null 2>&1
fi
if [ -d /usr/doc ]; then
package=$(basename $0 .prerm)
if [ -L /usr/doc/$package ]; then
rm /usr/doc/$package ;
fi
fi
fi
#! /bin/sh
set -e
if [ "$1" = configure ]; then
if [ -d /usr/doc ]; then
package=$(basename $0 .postinst)
if [ ! -e /usr/doc/$package ]; then
(cd /usr/doc;
if [ -d ../share/doc/$package ]; then
ln -s ../share/doc/$package $package ;
fi
)
fi
fi
fi
#! /bin/sh
set -e
if [ "$1" = remove ]; then
if [ -d /usr/doc ]; then
package=$(basename $0 .prerm)
if [ -L /usr/doc/$package ]; then
rm /usr/doc/$package ;
fi
fi
fi
#! /bin/sh
set -e
if [ "$1" = configure ]; then
if [ -d /usr/doc ]; then
package=$(basename $0 .postinst)
if [ ! -e /usr/doc/$package ]; then
(cd /usr/doc;
if [ -d ../share/doc/$package ]; then
ln -s ../share/doc/$package $package ;
fi
)
fi
fi
fi
#! /bin/sh
set -e
if [ $1 = remove ]; then
if [ -d /usr/doc ]; then
package=$(basename $0 .prerm)
if [ -L /usr/doc/$package ]; then
rm /usr/doc/$package
fi
fi
fi
......@@ -4,14 +4,12 @@ if [ "$1" = "configure" ]
then
ldconfig
if [ -d /usr/doc ]; then
package=`basename $0 .postinst`
if [ ! -e /usr/doc/$package ]; then
(cd /usr/doc;
if [ -d ../share/doc/$package ]; then
ln -s ../share/doc/$package $package ;
fi
)
fi
package=`basename $0 .postinst`
opt=`echo $package | sed 's/.*-//'`
if [ -f /etc/ld.so.nohwcap ]; then
grep -v $opt /etc/ld.so.nohwcap > /etc/ld.so.nohwcap.tmp
mv /etc/ld.so.nohwcap.tmp /etc/ld.so.nohwcap
test -s /etc/ld.so.nohwcap || rm -f /etc/ld.so.nohwcap
fi
fi
......@@ -9,10 +9,14 @@ if [ "$1" != abort-upgrade ] && [ "`uname -s`" = Linux ]; then
if dpkg --compare-versions "$kernel_ver" lt 2.4.0; then
echo "This package requires you to be running a 2.4.0 kernel. Using an"
echo "older kernel will cause sever failures so long as this package is"
echo "older kernel will cause severe failures so long as this package is"
echo "installed."
exit 1
fi
touch /etc/ld.so.nohwcap
echo OPT >> /etc/ld.so.nohwcap
ifelse(OPT,i586,{
case $cpu in
i[34]86)
......
#!/bin/sh -e
if [ "$1" = remove ]; then
if [ -d /usr/doc ]; then
package=$(basename $0 .prerm)
if [ -L /usr/doc/$package ]; then
rm /usr/doc/$package ;
fi
fi
fi
#! /bin/sh
set -e
if [ "$1" = configure ]; then
if [ -d /usr/doc ]; then
package=$(basename $0 .postinst)
if [ ! -e /usr/doc/$package ]; then
(cd /usr/doc;
if [ -d ../share/doc/$package ]; then
ln -s ../share/doc/$package $package ;
fi
)
fi
fi
fi
#! /bin/sh
set -e
if [ "$1" = remove ]; then
if [ -d /usr/doc ]; then
package=$(basename $0 .prerm)
if [ -L /usr/doc/$package ]; then
rm /usr/doc/$package ;
fi
fi
fi
#! /bin/sh
set -e
if [ "$1" = configure ]; then
if [ -d /usr/doc ]; then
package=$(basename $0 .postinst)
if [ ! -e /usr/doc/$package ]; then
(cd /usr/doc;
if [ -d ../share/doc/$package ]; then
ln -s ../share/doc/$package $package ;
fi
)
fi
fi
fi
#! /bin/sh
set -e
if [ "$1" = remove ]; then
if [ -d /usr/doc ]; then
package=$(basename $0 .prerm)
if [ -L /usr/doc/$package ]; then
rm /usr/doc/$package
fi
fi
fi
......@@ -3,15 +3,4 @@
if [ "$1" = "configure" ]
then
ldconfig
if [ -d /usr/doc ]; then
package=`basename $0 .postinst`
if [ ! -e /usr/doc/$package ]; then
(cd /usr/doc;
if [ -d ../share/doc/$package ]; then
ln -s ../share/doc/$package $package ;
fi
)
fi
fi
fi
#!/bin/sh -e
if [ "$1" = remove ]; then
if [ -d /usr/doc ]; then
package=$(basename $0 .prerm)
if [ -L /usr/doc/$package ]; then
rm /usr/doc/$package ;
fi
fi
fi
......@@ -150,28 +150,23 @@ then
ldconfig
if [ -d /usr/doc ]; then
package=$(package_name)
if [ ! -e /usr/doc/$package ]; then
(cd /usr/doc;
if [ -d ../share/doc/$package ]; then
ln -s ../share/doc/$package $package ;
fi
)
fi
if [ -f /etc/ld.so.nohwcap ]; then
grep -v glibc /etc/ld.so.nohwcap > /etc/ld.so.nohwcap.tmp || true
mv /etc/ld.so.nohwcap.tmp /etc/ld.so.nohwcap
test -s /etc/ld.so.nohwcap || rm -f /etc/ld.so.nohwcap
fi
if [ ! -z $2 ]; then
if [ ! -d /var/mail ] && [ ! -L /var/mail ]; then
ln -sf spool/mail /var/mail
fi
if dpkg --compare-versions $2 lt 2.1.95-1; then
if dpkg --compare-versions $2 lt 2.2.94-1; then
echo -n "Checking for services that may need to be restarted..."
check="nis smail sendmail exim ssh netbase apache proftpd"
check="$check ssh-nonfree postfix-tls wu-ftpd boa cron postfix"
check="$check wu-ftpd-academ slapd openldapd logind wwwoffle"
check="$check lprng lpr autofs snmpd"
check="$check lprng lpr autofs snmpd ssh-krb5 apache2"
# Only get the ones that are installed, and configured
check=$(dpkg -s $check | awk 'BEGIN{RS="\n\n";FS="\n"}{if ( $2 ~ /Status: .* installed$/ ) { print $1 } }' | cut -f 2 -d ' ')
# We have to list inetd explicitly, because the package is a
......
......@@ -54,6 +54,11 @@ then
if [ -e /var/run/utmpd.ro ]; then rm -f /var/run/utmpd.ro; fi
if [ -e /var/run/utmpd.rw ]; then rm -f /var/run/utmpd.rw; fi
fi
# This will keep us from using hwcap libs (optimized) during an
# upgrade.
touch /etc/ld.so.nohwcap
echo glibc >> /etc/ld.so.nohwcap
fi
if [ "$1" != abort-upgrade ] && [ "`uname -s`" = Linux ]
......
#! /bin/sh
set -e
if [ "$1" = remove ]; then
if [ -d /usr/doc ]; then
package=`basename $0 .prerm`
if [ -L /usr/doc/$package ]; then
rm /usr/doc/$package ;
fi
fi
fi
......@@ -5,17 +5,6 @@ LG="/etc/locale.gen"
if [ "$1" = configure ]; then
if [ -d /usr/doc ]; then
package=$(basename $0 .postinst)
if [ ! -e /usr/doc/$package ]; then
(cd /usr/doc;
if [ -d ../share/doc/$package ]; then
ln -s ../share/doc/$package $package ;
fi
)
fi
fi
. /usr/share/debconf/confmodule
db_version 2.0
......
#! /bin/sh
set -e
if [ "$1" = remove ]; then
if [ -d /usr/doc ]; then
package=$(basename $0 .postrm)
if [ -L /usr/doc/$package ]; then
rm /usr/doc/$package ;
fi
fi
fi
#!/bin/bash
# This script is designed to help make patches to update from the last
# release to the latest CVS. Hand it the argument of the directory from
# which to generate the diff.
# This script is not robust. Feel free to improve it. Specifically,
# run this from the root of the package.
# This file is in the PUBLIC DOMAIN
# written by Jeff Bailey jbailey@debian.org September 6th, 2002
if [ $# -ne 1 ]; then
echo "`basename $0`: script expects a CVS tree to diff against"
exit 1
fi
source version
debian/rules unpack
diff -urN -x CVS -x .cvsignore -x '*texi' -x '*manual*' glibc-$VERSION $1 >cvs.patch
......@@ -4,16 +4,5 @@ set -e
if [ "$1" = configure ]; then
update-rc.d nscd defaults 19 > /dev/null
/etc/init.d/nscd restart
if [ -d /usr/doc ]; then
package=$(basename $0 .postinst)
if [ ! -e /usr/doc/$package ]; then
(cd /usr/doc;
if [ -d ../share/doc/$package ]; then
ln -s ../share/doc/$package $package ;
fi
)
fi
fi
fi
exit 0
......@@ -2,12 +2,3 @@
set -e
/etc/init.d/nscd stop || true
if [ $1 = remove ]; then
if [ -d /usr/doc ]; then
package=$(basename $0 .prerm)
if [ -L /usr/doc/$package ]; then
rm /usr/doc/$package
fi
fi
fi
......@@ -9,7 +9,7 @@ $(glibc)-doc: $(stamp_install) debian/control $(mkdir)/sysdeps.mk
$(make_directory) $(tmpdir)/$@$(docdir)/$@
$(MAKE) -C $(objdir) subdirs=manual info
cd $(srcdir)/manual && texi2html -split_chapter chapters.texi
cd $(srcdir)/manual && texi2html -split_chapter libc.texinfo
$(make_directory) $(tmpdir)/$@$(docdir)/$@/html
$(INSTALL_DATA) $(srcdir)/manual/*.html $(tmpdir)/$@$(docdir)/$@/html/.
ln -sf chapters_toc.html $(tmpdir)/$@$(docdir)/$@/html/index.html
......
......@@ -8,8 +8,8 @@ $(libc)-dbg: $(stamp_install) debian/control $(mkdir)/sysdeps.mk
$(INSTALL_DATA) $(install_root)/lib/*-$(VERSION).so \
$(tmpdir)/$@$(libdir)/debug/.
ifeq ($(threads),yes)
$(INSTALL_DATA) $(install_root)/lib/libpthread-0.9.so \
$(tmpdir)/$@$(libdir)/debug/libpthread-0.9.so
$(INSTALL_DATA) $(install_root)/lib/libpthread-0.10.so \
$(tmpdir)/$@$(libdir)/debug/libpthread-0.10.so
$(INSTALL_DATA) $(install_root)/lib/libthread_db-1.0.so \
$(tmpdir)/$@$(libdir)/debug/.
endif
......@@ -22,8 +22,6 @@ endif
gzip -9fv $(tmpdir)/$@$(docdir)/$@/changelog.Debian
$(INSTALL_DATA) debian/copyright $(tmpdir)/$@$(docdir)/$@/.
cp -a debian/$@/* $(tmpdir)/$@/DEBIAN
dpkg-gencontrol -isp -p$@ -P$(tmpdir)/$@
chown -R root.root $(tmpdir)/$@
chmod -R go=rX $(tmpdir)/$@
......
......@@ -26,7 +26,6 @@ endif
$(INSTALL_DATA) debian/copyright $(tmpdir)/$@$(docdir)/$@/.
$(make_directory) $(tmpdir)/$@/DEBIAN
cp -a debian/$@/* $(tmpdir)/$@/DEBIAN
dpkg-gencontrol -isp -p$@ -P$(tmpdir)/$@
chown -R root.root $(tmpdir)/$@
chmod -R go=rX $(tmpdir)/$@
......
......@@ -36,8 +36,6 @@ endif
-find $(tmpdir)/$@$(docdir)/$@ -type f | xargs -r gzip -9f
$(INSTALL_DATA) debian/copyright $(tmpdir)/$@$(docdir)/$@/.
cp -a debian/$@/* $(tmpdir)/$@/DEBIAN
dpkg-gencontrol -isp -p$@ -P$(tmpdir)/$@
chown -R root.root $(tmpdir)/$@
chmod -R go=rX $(tmpdir)/$@
......
libc-udeb: $(stamp_install) debian/control $(mkdir)/sysdeps.mk
$(checkroot)
$(debian-clean)
-rm -rf $(tmpdir)/$@
$(make_directory) $(tmpdir)/$@/lib
$(make_directory) $(tmpdir)/$@/DEBIAN
$(INSTALL_PROGRAM) $(install_root)/lib/ld-$(VERSION).so $(tmpdir)/$@/lib/.
$(INSTALL_DATA) $(install_root)/lib/lib{c,m,dl}-$(VERSION).so $(tmpdir)/$@/lib/.
$(INSTALL_PROGRAM) $(install_root)/lib/libc-$(VERSION).so $(tmpdir)/$@/lib/.
ifeq ($(DEB_HOST_GNU_SYSTEM),gnu)
# Why doesn't the glibc makefile install this?
ln -sf ld.so.1 $(tmpdir)/$@/lib/ld.so
endif
# It is safe to strip the dynamic linker though _dl_debug_state must be kept
# in order for gdb to work.
ifeq ($(DEB_BUILD_OPTION_STRIP),yes)
#ifeq ($(DEB_HOST_GNU_CPU),i386) // Let's try this for all archs
$(STRIP) -g -K _dl_debug_state -R .note -R .comment $(tmpdir)/$@/lib/ld-$(VERSION).so
#endif
cd $(tmpdir)/$@ && \
$(STRIP) --strip-unneeded -R .note -R .comment lib/lib*-$(VERSION).so
endif
# Install the libs under their sonames.
set -ex; cd $(tmpdir)/$@/lib; \
for f in *.so; do \
mv $$f `readelf -W --dynamic $$f | grep SONAME | \
sed -e 's/.*\[//' -e 's/].*//'`; done
dpkg-gencontrol -isp -p$@ -P$(tmpdir)/$@ $(libc-udeb_control_flags) \
-DProvides="$(shell perl debian/debver2localesdep.pl \
$(DEBVERSION))" -fdebian/files~
dpkg-distaddfile libc-udeb_$(DEBVERSION)_$(shell dpkg-architecture -qDEB_BUILD_ARCH).udeb debian-installer required
chown -R root.root $(tmpdir)/$@
chmod -R go=rX $(tmpdir)/$@
dpkg --build $(tmpdir)/$@ ../libc-udeb_$(DEBVERSION)_$(shell dpkg-architecture -qDEB_BUILD_ARCH).udeb
......@@ -9,7 +9,7 @@ $(libc): $(stamp_install) debian/control $(mkdir)/sysdeps.mk debian/libc/DEBIAN/
$(INSTALL_PROGRAM) $(install_root)/lib/libc-$(VERSION).so $(tmpdir)/$@/lib/.
$(INSTALL_DATA) $(install_root)/lib/libSegFault.so $(tmpdir)/$@/lib/.
ifeq ($(threads),yes)
$(INSTALL_DATA) $(install_root)/lib/libpthread-0.9.so $(tmpdir)/$@/lib/.
$(INSTALL_DATA) $(install_root)/lib/libpthread-0.10.so $(tmpdir)/$@/lib/.
$(INSTALL_DATA) $(install_root)/lib/libthread_db-1.0.so $(tmpdir)/$@/lib/.
endif
@set -ex; cd $(install_root)/lib && \
......@@ -73,7 +73,7 @@ ifeq ($(DEB_BUILD_OPTION_STRIP),yes)
-$(STRIP) --strip-unneeded -R .note $(tmpdir)/$@$(bindir)/* $(tmpdir)/$@$(sbindir)/* \
$(tmpdir)/$@/sbin/*
ifeq ($(threads),yes)
$(STRIP) --strip-debug -R .note -R .comment $(tmpdir)/$@/lib/libpthread-0.9.so
$(STRIP) --strip-debug -R .note -R .comment $(tmpdir)/$@/lib/libpthread-0.10.so
$(STRIP) --strip-unneeded -R .note -R .comment $(tmpdir)/$@/lib/libthread_db-1.0.so
endif
$(STRIP) $(tmpdir)/$@$(libdir)/gconv/*.so
......
......@@ -78,7 +78,7 @@ $(libc)-$(OPT): $(stamp_install_opt) debian/control $(mkdir)/sysdeps.mk \
$(INSTALL_PROGRAM) $(install_root_opt)/lib/libc-$(VERSION).so $(tmpdir)/$@/lib/$(OPT)/.
$(INSTALL_DATA) $(install_root_opt)/lib/libSegFault.so $(tmpdir)/$@/lib/$(OPT)/.
ifeq ($(threads),yes)
$(INSTALL_DATA) $(install_root_opt)/lib/libpthread-0.9.so $(tmpdir)/$@/lib/$(OPT)/.
$(INSTALL_DATA) $(install_root_opt)/lib/libpthread-0.10.so $(tmpdir)/$@/lib/$(OPT)/.
$(INSTALL_DATA) $(install_root_opt)/lib/libthread_db-1.0.so $(tmpdir)/$@/lib/$(OPT)/.
endif
@set -e; \
......@@ -88,7 +88,7 @@ endif
cd $(tmpdir)/$@ && \
$(STRIP) lib/$(OPT)/lib*-$(VERSION).so
ifeq ($(threads),yes)
$(STRIP) $(tmpdir)/$@/lib/$(OPT)/libpthread-0.9.so
$(STRIP) $(tmpdir)/$@/lib/$(OPT)/libpthread-0.10.so
$(STRIP) $(tmpdir)/$@/lib/$(OPT)/libthread_db-1.0.so
endif
# Get rid of the NSS libs, they don't get used anyway
......
......@@ -8,7 +8,7 @@ stamp_configure_64 = $(stamp_configure)_64
flags_64 = -g0 -O2 -Wall -finline-limit=3000
MYCC = gcc-3.0 -m64
MYCC = gcc-3.2 -m64
ifeq ($(log_build),/dev/tty)
log_build_64 = /dev/tty
......@@ -49,8 +49,7 @@ $(stamp_configure_64): $(stamp_unpack) $(stamp_patch)